Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui
Class TeamUI

    java.lang.Object
      org.eclipse.team.ui.TeamUI

public class TeamUI
extends Object

TeamUI contains public API for generic UI-based Team functionality

Field Summary
`static String` | `GLOBAL_IGNORES_CHANGED` Property constant indicating the global ignores list has changed.

Constructor Summary
`TeamUI()`

Method Summary
`static void` | `addPropertyChangeListener(IPropertyChangeListener listener)` Register for changes made to Team properties.
`static ISynchronizeManager` | `getSynchronizeManager()` Return the synchronize manager.
`static void` | `removePropertyChangeListener(IPropertyChangeListener listener)` Deregister as a Team property changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_IGNORES_CHANGED

    public static String GLOBAL_IGNORES_CHANGED

  Property constant indicating the global ignores list has changed.

Constructor Detail

### TeamUI

    public TeamUI()

Method Detail

### getSynchronizeManager

    public static ISynchronizeManager getSynchronizeManager()

  Return the synchronize manager.

  Returns:
    the synchronize manager
  Since:
    3.0

### addPropertyChangeListener

    public static void addPropertyChangeListener(IPropertyChangeListener listener)

  Register for changes made to Team properties.

  Parameters:
    `listener` - the listener to add

### removePropertyChangeListener

    public static void removePropertyChangeListener(IPropertyChangeListener listener)

  Deregister as a Team property changes.

  Parameters:
    `listener` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.